Bug 479493 - openssl: rebuild for pkgconfig deps
openssl: rebuild for pkgconfig deps
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: openssl (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Fedora Extras Quality Assurance
: EasyFix, Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-09 19:32 EST by Rex Dieter
Modified: 2009-01-15 07:03 EST (History)
2 users (show)

See Also:
Fixed In Version: openssl-0.9.8j-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-15 05:26:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sample specfile patch (1.20 KB, patch)
2009-01-09 19:40 EST, Rex Dieter
no flags Details | Diff

  None (edit)
Description Rex Dieter 2009-01-09 19:32:15 EST
add
BuildRequires: pkgconfig

and respin the pkg, and the new rpm will generate pkgconfig-based deps.

Until this is done, it blocks pkgs that include pkgconfig deps on openssl.
Comment 1 Rex Dieter 2009-01-09 19:40:38 EST
Created attachment 328608 [details]
sample specfile patch
Comment 2 Tomas Mraz 2009-01-12 05:37:37 EST
I'm in process of upgrading openssl to new upstream version, I'll fix this along with that.
Comment 3 Mamoru TASAKA 2009-01-15 06:04:12 EST
BR: pkgconfig should not be needed, see the discussion on:
https://www.redhat.com/archives/fedora-devel-list/2008-December/msg00218.html
Comment 4 Tomas Mraz 2009-01-15 06:16:54 EST
Too late. So the question is, should I keep it there just in case it gets removed from the rpm-build deps or not?
Comment 5 Mamoru TASAKA 2009-01-15 07:03:19 EST
I don't think rpm-build will remove pkgconfig deps in
the future (or if rpmbuild removes pkgconfig deps another
solution should be found).

So anyway BR: pkgconfig for this package should not be
needed, however you can remove this next time.

Note You need to log in before you can comment on or make changes to this bug.